Bug 991286

Summary: Review Request: pyhoca-gui - Graphical X2Go client written in (wx)Python
Product: [Fedora] Fedora Reporter: Orion Poplawski <orion>
Component: Package ReviewAssignee: Alec Leamas <leamas.alec>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: i, leamas.alec, notting
Target Milestone: ---Flags: leamas.alec: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-31 00:13:58 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 990817    
Bug Blocks: 998551    

Description Orion Poplawski 2013-08-02 01:19:47 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/nx/pyhoca-gui.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/nx/pyhoca-gui-0.4.0.6-1.fc19.src.rpm
Description: 
X2Go is a server based computing environment with:
   - session resuming
   - low bandwidth support
   - LDAP support
   - client side mass storage mounting support
   - client side printing support
   - audio support
   - authentication by smartcard and USB stick

PyHoca-GUI is a slim X2Go client that docks to the desktop's
notification area and allows multiple X2Go session handling.

Fedora Account System Username:orion
Comment 1 Alec Leamas 2013-08-29 17:01:34 EDT
I owe you one, remember? taking this review
Comment 2 Alec Leamas 2013-08-29 17:56:25 EDT
I got build errors:
RPM build errors:
    File must begin with "/": %{_desktopdir}/pyhoca-gui.desktop
    File must begin with "/": %{_iconsdir}/PyHoca/

Most likely because of some missing build dependency which have these macro definitions. Got it running with this diff (sorry, wrong format, I bet you can handle that).

52,53c52,53
< %{_desktopdir}/%{name}.desktop
< %{_iconsdir}/PyHoca/
---
> /usr/share/applications/%{name}.desktop
> /usr/share/icons/PyHoca/

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in pyhoca-gui
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file. -> You need desktop-file-validate
  in %install.
- License field in the package spec file matches the actual license.
  --> Here is in one GPLv2 file: icon2exe.py. So license is AGPLv3 and GPLv2+
- Fix the rpmlint warning about mixed use of tabs and space in specfile
- The directory ownership issues below needs a clarification.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/pyhoca
     --> Is this covered by the nxproxy dependency?
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/pyhoca
     --> Same question: Is this covered by the nxproxy dependency?
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
     I would prefer not using the non-standard %_desktopdir and %_iconsdir
     macros. They create more problems than they solve.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[?]  Package installs properly.
     Note: Installation errors (see attachment)
     --> Can't install without nxproxy. This not a problem
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Installation errors
-------------------
[cut]
ERROR: Command failed:
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', 'install', '/home/mk/FedoraReview/pyhoca-gui/results/pyhoca-gui-0.4.0.6-1.fc20.noarch.rpm']
Error: Package: python-x2go-0.4.0.6-4.fc20.noarch (fedora)
           Requires: nxproxy



Rpmlint
-------
Checking: pyhoca-gui-0.4.0.6-1.fc20.noarch.rpm
          pyhoca-gui-0.4.0.6-1.fc20.src.rpm
pyhoca-gui.noarch: W: spelling-error Summary(en_US) wx -> ex, w, x
pyhoca-gui.noarch: W: spelling-error %description -l en_US smartcard -> smart card, smart-card, MasterCard
pyhoca-gui.noarch: W: invalid-license AGPLv3+
pyhoca-gui.src: W: spelling-error Summary(en_US) wx -> ex, w, x
pyhoca-gui.src: W: spelling-error %description -l en_US smartcard -> smart card, smart-card, MasterCard
pyhoca-gui.src: W: invalid-license AGPLv3+
pyhoca-gui.src:14: W: mixed-use-of-spaces-and-tabs (spaces: line 14, tab: line 1)
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Requires
--------
pyhoca-gui (rpmlib, GLIBC filtered):
    /usr/bin/env
    notify-python
    python(abi)
    python-setproctitle
    python-x2go
    wxPython



Provides
--------
pyhoca-gui:
    pyhoca-gui



Source checksums
----------------
http://code.x2go.org/releases/source/pyhoca-gui/pyhoca-gui-0.4.0.6.tar.gz :
  CHECKSUM(SHA256) this package     : b1f6c2cfea9fd3b100376a41bf204476209d7a3c811d3bd0f5fa1c547f65cc7f
  CHECKSUM(SHA256) upstream package : b1f6c2cfea9fd3b100376a41bf204476209d7a3c811d3bd0f5fa1c547f65cc7f


Generated by fedora-review 0.5.0 (07d62ff) last change: 2013-08-29
Command line :./try-fedora-review -rn pyhoca-gui-0.4.0.6-1.fc19.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 3 Christopher Meng 2013-08-29 23:55:13 EDT
Please change bug status next time if taken.

Thanks.
Comment 4 Orion Poplawski 2013-08-30 01:05:23 EDT
Apologies for the crappy state of this package.

http://www.cora.nwra.com/~orion/fedora/nx/pyhoca-gui.spec
http://www.cora.nwra.com/~orion/fedora/nx/pyhoca-gui-0.4.0.8-1.fc19.src.rpm

* Thu Aug 29 2013 Orion Poplawski <orion@cora.nwra.com> - 0.4.0.8-1
- Update to 0.4.0.8
- Add BR on desktop-file-utils, validate the desktop file
- Add gtk-update-icon-cache scriptlets
- Own /usr/share/pyhoca
- Change tabs to spaces

Since we don't ship icon2exe.py, I do not believe it should be included in the license field.
Comment 5 Alec Leamas 2013-08-30 01:27:58 EDT
(In reply to Orion Poplawski from comment #4)

> Since we don't ship icon2exe.py, I do not believe it should be included in
> the license field.

Indeed, I should have noted that. All looks good.

***APPROVED
Comment 6 Orion Poplawski 2013-08-30 09:49:10 EDT
New Package SCM Request
=======================
Package Name: pyhoca-gui
Short Description: Graphical X2Go client written in (wx)Python
Owners: orion
Branches: f20 f19 f18 el6
InitialCC:
Comment 7 Jon Ciesla 2013-08-30 10:15:33 EDT
Git done (by process-git-requests).
Comment 8 Orion Poplawski 2013-08-31 00:13:58 EDT
Checked in and built